Bug 1332181 - Need improvements in string
Summary: Need improvements in string
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: comps
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Stephen Gallagher
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-02 12:48 UTC by Pravin Satpute
Modified: 2016-05-10 08:20 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-04 21:00:19 UTC
Type: Bug


Attachments (Terms of Use)

Description Pravin Satpute 2016-05-02 12:48:38 UTC
Description: 
When translate comps, I see two sentences "Packages mandatory for the server product." and "Packages mandatory for the workstation product."

It would be probably a good idea to spell it out
explicitly in the original string, as translators knows they have to
leave the products names intact.

Original discussions
https://lists.fedoraproject.org/archives/list/trans@lists.fedoraproject.org/thread/3MI62UAGA3XEGMMN5XV2F3UBPS427XYJ/

Minimal:- Please provide hints for translators.

Comment 1 Kevin Fenzi 2016-05-02 14:31:12 UTC
I'm happy to add a hint or mark things, but I am not sure how to do that in zanata. ;( 

I'll try and look around, but if you have any hints, let me know.

Comment 2 Parag Nemade 2016-05-02 16:37:56 UTC
Zanata shows all the comments marked for the strings. The Source files need to have the proper context text added in comment. e.g. here is one context added 

==============================================================
--- a/comps-f24.xml.in
+++ b/comps-f24.xml.in
@@ -6368,6 +6368,7 @@
   <group>
     <id>workstation-product</id>
     <_name>Fedora Workstation product core</_name>
+    <!-- Fedora Workstation product-->
     <_description>Packages mandatory for the workstation product.</_description>
     <default>false</default>
     <uservisible>false</uservisible>
================================================================

Then generate pot file and you will see this comment appearing in pot file. Once it appeared in pot file for that string, Zanata will also show this context string for translator to understand the meaning of that string.

Comment 3 Kevin Fenzi 2016-05-03 18:28:58 UTC
ok, so just making the comment duplicate the name will tell translators to not translate that part of the string?

Would you like to make a patch, or just commit these changes to comps and I can push the new pot file to zanata?

Comment 4 Parag Nemade 2016-05-04 03:56:45 UTC
I have committed following comment at 4 places in F24 and F25 comps. If needed any changes to the comment then please do so.

<!-- Translators: Don't translate this product name -->

Comment 5 Kevin Fenzi 2016-05-04 15:09:18 UTC
Looks good to me. Thanks!

Shall we close this now?

Comment 6 Pravin Satpute 2016-05-04 21:00:19 UTC
Yes, Thanks Parar for jumping in with patch :)
Thanks Kevin for pushing it quickly.

Comment 7 Jens Petersen 2016-05-10 08:13:23 UTC
Perhaps I am nitpicking or should open a separate bug or even just commit,
but why don't the original strings use a capital letter?
Shouldn't it be "Workstation product" and "Server product"?
Is "product" still the right terminology?


Note You need to log in before you can comment on or make changes to this bug.